VisualEditor: Incorrect tab text (create vs. edit) shown on Special:MovePage, Special:Undelete, others?
Closed, ResolvedPublic

bzimport set Reference to bz49000.
Hazard-SJ created this task.Via LegacyMay 31 2013, 12:01 AM
Aklapper added a comment.Via ConduitJun 5 2013, 2:15 PM

--> VisualEditor

Krinkle added a comment.Via ConduitJul 22 2013, 5:51 PM

Confirmed. It says "Read | Edit | Create source | View history".

https://www.mediawiki.org/wiki/Special:MovePage/Sandbox

jayvdb added a comment.Via ConduitJul 26 2013, 2:15 AM

Also shown on Special:Undelete, after the page has been restored.

i.e. "User:John Vandenberg/test has been restored" has tabs: Read | Edit | Create source | View history

Superchilum added a comment.Via ConduitJul 27 2013, 6:10 PM

Also show on Special:Whatlinkshere (e.g. https://it.wikipedia.org/wiki/Speciale:PuntanoQui/Wikipedia )

Esanders added a comment.Via ConduitAug 1 2013, 9:59 PM

More importantly, it lets you load VE dynamically, which it shouldn't.

gerritbot added a comment.Via ConduitAug 1 2013, 10:20 PM

Change 77246 had a related patch set uploaded by Esanders:
Fix edit links on special pages

https://gerrit.wikimedia.org/r/77246

gerritbot added a comment.Via ConduitAug 1 2013, 10:22 PM

Change 77246 merged by jenkins-bot:
Fix edit links on special pages

https://gerrit.wikimedia.org/r/77246

gerritbot added a comment.Via ConduitAug 1 2013, 10:52 PM

Change 77253 had a related patch set uploaded by Esanders:
Fix pageExists/isViewPage behaviour

https://gerrit.wikimedia.org/r/77253

gerritbot added a comment.Via ConduitAug 1 2013, 11:59 PM

Change 77253 merged by jenkins-bot:
mw.ViewPageTarget.init: Fix pageExists/isViewPage behaviour

https://gerrit.wikimedia.org/r/77253

gerritbot added a comment.Via ConduitAug 2 2013, 3:31 AM

Change 77165 had a related patch set uploaded by Catrope:
Move edit tab generation into PHP and make it more configurable

https://gerrit.wikimedia.org/r/77165

Jdforrester-WMF added a comment.Via ConduitAug 2 2013, 5:57 AM

Now fixed and deployed.

Elitre added a comment.Via ConduitAug 13 2013, 12:47 PM
Elitre added a comment.Via ConduitAug 13 2013, 12:49 PM

I mean, as the page does not exist, shouldn't that read Create source instead, as in http://en.wikipedia.org/wiki/Esempio ?

Jdforrester-WMF added a comment.Via ConduitSep 4 2013, 8:04 PM

(In reply to comment #12)

I think I can still see this?
http://en.wikipedia.org/wiki/Special:WhatLinksHere/Esempio
Thanks.

This is caused by (core) bug 53774 which we will need to fix.

gerritbot added a comment.Via ConduitSep 4 2013, 8:08 PM

Change 82744 had a related patch set uploaded by Jforrester:
Reference core bug 53774 in bug 49000 comment

https://gerrit.wikimedia.org/r/82744

gerritbot added a comment.Via ConduitSep 5 2013, 4:55 AM

Change 82744 merged by jenkins-bot:
Reference core bug 53774 in bug 49000 comment

https://gerrit.wikimedia.org/r/82744

Krenair added a comment.Via ConduitJan 29 2014, 12:56 AM

Is there anything left to do here?

Jdforrester-WMF added a comment.Via ConduitFeb 26 2014, 2:14 AM

(In reply to Alex Monk from comment #17)

Is there anything left to do here?

This appears fixed for now (albeit as a hack).

Add Comment

Column Prototype
This is a very early prototype of a persistent column. It is not expected to work yet, and leaving it open will activate other new features which will break things. Press "\" (backslash) on your keyboard to close it now.